import request from '@/utils/request';

export function addXxlJobGroup(data) {
  return request({
    url: '/xxl-job/jobgroup/save',
    method: 'post',
    data: data
  });
}

export function updateXxlJobGroup(data) {
  return request({
    url: '/xxl-job/jobgroup/update',
    method: 'post',
    data: data
  });
}

export function deleteXxlJobGroup(id) {
  const data = {
    id
  };
  return request({
    url: '/xxl-job/jobgroup/remove',
    method: 'post',
    data: data
  });
}
export function queryXxlJobGroup(data) {
  return request({
    url: '/xxl-job/jobgroup/pageList',
    method: 'get',
    params: data
  });
}
